import type { Response, Request, NextFunction } from 'express';
export interface ExpressJsonErrorHandlerOptions {
    log?: ({ err, req, res }: {
        err: Error;
        req: Request;
        res: Response;
    }) => void;
    extraFields?: string[];
}
export type ErrorWithStatus = Error & {
    status?: number;
    statusCode?: number;
};
export interface ResponseBody {
    status: number;
    stack?: any;
    message?: string;
    code?: any;
    name?: any;
    type?: any;
}
export declare const expressJsonErrorHandler: ({ log, extraFields }?: ExpressJsonErrorHandlerOptions) => (err: ErrorWithStatus, req: Request, res: Response, _: NextFunction) => void;
export default expressJsonErrorHandler;
